# -*- coding: utf8 -*-
import socket

# Va nous permettre de lire l'argument donné au lancement
import sys

# Fonction maison pour afficher le flux en console
from affichage import affichage

ici = sys.argv[1]

DICO_IP = {
"Nantes":"11.0.0.2",
"Toulouse":"11.0.0.3"
}

# IP et port de notre serveur.
UDP_IP_ICI = DICO_IP[ici]
UDP_PORT = 5005

# On écoute le port 5005
sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
sock.bind((UDP_IP_ICI, UDP_PORT))

def reception():

    image_01 = ''

    # On réceptionne le petit paquet
    data, addr = sock.recvfrom(275)

    image_binaire = bytearray(data)

    for octet in image_binaire:

        octet = bin(octet)[2:]
        octet = octet.zfill(8)
        image_01 += octet

    return image_01

while True:

    image_01 = reception()
    affichage(image_01)


